#include <kapplication.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kcmdlineargs.h>

#include "config.h"
#include "toplevel.h"

static const KCmdLineOptions options[] =
{
	{"ggz", I18N_NOOP("Request GGZ game explicitely"), 0},
	{"theme", I18N_NOOP("Select UI theme"), 0},
	{0, 0, 0}
};

int main(int argc, char **argv)
{
	KApplication *app;
	KAboutData *about;
	KCmdLineArgs *args;
	int ggzmode;

	about = new KAboutData("kamikaze",
		I18N_NOOP("Kamikaze"),
		VERSION,
		"Multiplayer action game for KDE",
		KAboutData::License_GPL_V2,
		"Copyright (C) 2001, 2002 Josef Spillner",
		I18N_NOOP("Kamikaze is a not so harmless action game for 1-8 players."),
		"http://ggz.sourceforge.net",
		"dr_maux@users.sourceforge.net");
	about->addAuthor("Josef Spillner", "Maintainer, GGZ support, ...", "dr_maux@users.sourceforge.net");
	about->addAuthor("Tobias Knig", "AI, Gameplay, ...", "tokoe@kde.org");

	KCmdLineArgs::init(argc, argv, about);
	KCmdLineArgs::addCmdLineOptions(options);
	args = KCmdLineArgs::parsedArgs();
	ggzmode = args->isSet("ggz");

	app = new KApplication();

	TopLevel *toplevel = new TopLevel(ggzmode);
	toplevel->show();

	if(args->isSet("theme"))
	{
		toplevel->setTheme(args->getOption("theme"));
	}

	app->setMainWidget(toplevel);

	return app->exec();
}

