#ifndef NETWORK_H
#define NETWORK_H

#include <qobject.h>

#include "config.h"

#ifdef WITH_GGZ
# include <ggzmod.h>
#endif

class Network : public QObject
{
	Q_OBJECT
	public:
		Network();
		~Network();

		void connect();
		void disconnect();

	signals:
		void signalInput(int id);

	private slots:
		void slotInput(int fd);
		void slotDispatch();

	private:
#ifdef WITH_GGZ
		static void server_input(GGZMod *mod, GGZModEvent e, void *data);
#endif
		void serverInput(int fd);

#ifdef WITH_GGZ
		GGZMod *mod;
		static Network *self;
#endif
};

#endif

