#include "player.h"
#include <qcanvas.h>

Player::Player(int x, int y, QCanvasSprite *sprite)
	: Sprite(x, y, sprite)
{
	m_lives = 1;
	m_bombs = 1;
	m_power = 1;

	m_leftDirection = m_rightDirection = m_upDirection = m_downDirection = 0;
}

void Player::numLives(int lives)
{
	m_lives = lives;
}

int Player::numLives(void)
{
	return m_lives;
}

void Player::numBombs(int bombs)
{
	m_bombs = bombs;
}

int Player::numBombs(void)
{
	return m_bombs;
}

void Player::power(int power)
{
	m_power = power;
}

int Player::power(void)
{
	return m_power;
}

void Player::move(int x, int y)
{
	if (x < this->x()) { /* moving left */
		switch (m_leftDirection) {
			case 0:
				if(sprite()->frameCount() > 1) sprite()->setFrame(6);
				m_leftDirection++;
				break;
			case 1:
				if(sprite()->frameCount() > 1)sprite()->setFrame(7);
				m_leftDirection++;
				break;
			case 2:
				if(sprite()->frameCount() > 1) sprite()->setFrame(6);
				m_leftDirection++;
				break;
			case 3:
				if(sprite()->frameCount() > 1) sprite()->setFrame(8);
				m_leftDirection = 0;
				break;
		}
	}

	if (x > this->x()) { /* moving right */
		switch (m_rightDirection) {
			case 0:
				if(sprite()->frameCount() > 1) sprite()->setFrame(3);
				m_rightDirection++;
				break;
			case 1:
				if(sprite()->frameCount() > 1) sprite()->setFrame(4);
				m_rightDirection++;
				break;
			case 2:
				if(sprite()->frameCount() > 1) sprite()->setFrame(3);
				m_rightDirection++;
				break;
			case 3:
				if(sprite()->frameCount() > 1) sprite()->setFrame(5);
				m_rightDirection = 0;
				break;
		}
	}

	if (y < this->y()) { /* moving up */
		switch (m_upDirection) {
			case 0:
				if(sprite()->frameCount() > 1) sprite()->setFrame(9);
				m_upDirection++;
				break;
			case 1:
				if(sprite()->frameCount() > 1) sprite()->setFrame(10);
				m_upDirection++;
				break;
			case 2:
				if(sprite()->frameCount() > 1) sprite()->setFrame(9);
				m_upDirection++;
				break;
			case 3:
				if(sprite()->frameCount() > 1) sprite()->setFrame(11);
				m_upDirection = 0;
				break;
		}
	}

	if (y > this->y()) { /* moving down */
		switch (m_downDirection) {
			case 0:
				if(sprite()->frameCount() > 1) sprite()->setFrame(0);
				m_downDirection++;
				break;
			case 1:
				if(sprite()->frameCount() > 1) sprite()->setFrame(1);
				m_downDirection++;
				break;
			case 2:
				if(sprite()->frameCount() > 1) sprite()->setFrame(0);
				m_downDirection++;
				break;
			case 3:
				if(sprite()->frameCount() > 1) sprite()->setFrame(2);
				m_downDirection = 0;
				break;
		}
	}

	Sprite::move(x, y);
}
