#ifndef TOPLEVEL_H
#define TOPLEVEL_H

#include <kmainwindow.h>

class PlayCanvas;
class Playground;
class Splash;
class Network;

class TopLevel : public KMainWindow
{
	Q_OBJECT
	public:
		TopLevel(int ggzmode);
		~TopLevel();

		void setTheme(QString theme);

		void selectNewGame();
		void newGame(QString level, QString theme, int players);

	public slots:
		void key(int keycode);
		void slotMenu(int id);
		void slotEndGame();
		void slotInput(int fd);

	protected:
		void keyPressEvent(QKeyEvent *e);

	private:
		enum MenuItems
		{
			game_new,
			game_exit
		};

		PlayCanvas *canvas;
		Playground *playground;
		Splash *splash;
		int m_ggzmode;
		Network *network;
};

#endif

