#include <qcanvas.h>

#include "bomb.h"
#include "player.h"

Bomb::Bomb(int x, int y, QCanvasSprite *sprite, Player *player)
{
	m_ticker = 30;
	m_x = x;
	m_y = y;
	m_sprite = sprite;
	m_player = player;
	m_explodeTime = 5;
}

Bomb::~Bomb()
{
	if (m_sprite)
		delete m_sprite;

	m_sprite = 0;
}

void Bomb::tick()
{
	if (m_ticker + m_explodeTime)
		m_ticker--;

	m_sprite->advance(1);
}

int Bomb::exploded()
{
	return (m_ticker > 0 ? 0 : 1);
}

int Bomb::destroyed()
{
	return !(m_ticker + m_explodeTime);
}

int Bomb::x()
{
	return m_x;
}

int Bomb::y()
{
	return m_y;
}

QCanvasSprite *Bomb::sprite(void)
{
	return m_sprite;
}

Player *Bomb::player(void)
{
	return m_player;
}

